package de.telefonbuch.model;

import javafx.scene.control.Alert;
import javafx.scene.control.Alert.AlertType;

/**
 * In dieser Klasse werden Fehler behandelt und an den User/Admin/Entwickler ausgegeben
 */
public class Fehler {

	/**
	 * Zeige Fehler Dialog
	 *
	 * @param type    : String : Art der Meldung (warning/information/error)
	 * @param subject : Titel des Dialoges
	 * @param message : Nachricht der Meldung
	 */
	public void showErrorDialog(String type, String subject, String message) {
		Alert alert;

		/* Der Titel darf auch als leerer String übergeben werden, dann wird ein Default gesetzt */
		if(subject.equals("")) {
			subject = "Es ist ein Fehler aufgetreten";
		}

		/* Welcher Fehler Typ wurde übergeben? */
		switch (type) {
			case "warning":
				alert = new Alert(AlertType.WARNING);
				break;
			case "information":
				alert = new Alert(AlertType.INFORMATION);
				break;
			case "error":
				alert = new Alert(AlertType.ERROR);
				break;
			default:
				alert = new Alert(Alert.AlertType.NONE);
		}
		/* Setzt den Titel des Dialoges */
		alert.setTitle(subject);
		/* Setzt den Headertext des Dialoges */
		alert.setHeaderText(null);
		/* Setzt die Nachricht des Dialoges */
		alert.setContentText(message);
		/* Zeige den Dialog an */
		alert.showAndWait();
	}
}
